Bug 148913

Summary: Add initial support for doubles in WebAssembly
Product: WebKit Reporter: Sukolsak Sakshuwong <sukolsak>
Component: JavaScriptCoreAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, fpizlo, ggaren, mark.lam, sbarati, sukolsak, ysuzuki
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 146064, 148945    
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch for landing none

Description Sukolsak Sakshuwong 2015-09-06 12:57:28 PDT
Implement the ConstantPoolIndex, Immediate, and GetLocal instructions in WebAssembly.
Comment 1 Sukolsak Sakshuwong 2015-09-06 13:02:42 PDT
Created attachment 260712 [details]
Patch
Comment 2 Sukolsak Sakshuwong 2015-09-06 13:11:35 PDT
Created attachment 260714 [details]
Patch
Comment 3 Sukolsak Sakshuwong 2015-09-07 02:03:09 PDT
Created attachment 260731 [details]
Patch
Comment 4 Filip Pizlo 2015-09-07 10:02:14 PDT
Comment on attachment 260731 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=260731&action=review

> Source/JavaScriptCore/wasm/WASMFunctionCompiler.h:235
> +#if CPU(X86_64) || CPU(ARM64)

We should use some combined condition that means 64-bit. Usually in JSC we use JSVALUE64 as such a condition.
Comment 5 Sukolsak Sakshuwong 2015-09-07 11:22:52 PDT
Created attachment 260743 [details]
Patch for landing
Comment 6 Sukolsak Sakshuwong 2015-09-07 11:23:31 PDT
(In reply to comment #4)
> Comment on attachment 260731 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=260731&action=review
> 
> > Source/JavaScriptCore/wasm/WASMFunctionCompiler.h:235
> > +#if CPU(X86_64) || CPU(ARM64)
> 
> We should use some combined condition that means 64-bit. Usually in JSC we
> use JSVALUE64 as such a condition.

Thanks. Fixed.
Comment 7 WebKit Commit Bot 2015-09-08 10:39:44 PDT
Comment on attachment 260743 [details]
Patch for landing

Clearing flags on attachment: 260743

Committed r189494: <http://trac.webkit.org/changeset/189494>
Comment 8 WebKit Commit Bot 2015-09-08 10:39:48 PDT
All reviewed patches have been landed.  Closing bug.